/*
 *
 * Copyright (C) 2000  Robert Olsson, Jens Ls 
 * Swedish University of Agricultural Sciences
 *
 * This file is part of GNU Zebra.
 *
 * GNU Zebra is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * GNU Zebra is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GNU Zebra; see the file COPYING.  If not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.  
 */

#include <stdio.h>

#include "zbug.h"
#include "assert.h"
#define THIS 1

ZBUG_MAIN

main()
{
   int j = 22;
   int type;
   
   ZBUG_INIT();
   
   ZBUG_DEF( THIS );
   
   ZBUG_TYPEOF( type, "THI" );
   
   ZBUG_ON( THIS );
   ZBUG_PRINT( THIS, "debugging is %s fun!\n", "not");
   ZBUG( THIS )
     ZBUGF( "Apan r min vn! %d\n", type);

   zassert( 0, -1);
}
